v.centroids(1)

NAME
v.centroids - Adds missing centroids to closed boundaries.

KEYWORDS
vector, centroid, area

SYNOPSIS
v.centroids
v.centroids --help
v.centroids input=name output=name [option=string] [layer=string] [cat=integer] [step=integer] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input vector map
    Or data source for direct OGR access

output=name [required]
    Name for output vector map

option=string
    Action to be taken
    Options: add
    Default: add

layer=string
    Layer number or name
    Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
    Default: 1

cat=integer
    Category number starting value
    Default: 1

step=integer
    Category increment
    Default: 1

DESCRIPTION
GRASS defines vector areas as composite entities consisting of a set of closed boundaries and a centroid. The attribute information associated with that area is linked to the centroid. The v.centroids module adds centroids to closed boundaries in the input file and assigns a category number to them. The starting value as well as the increment size may be set using optional parameters.

Multiple attributes may be linked to a single vector entity through numbered fields referred to as layers. Refer to v.category for more details, as v.centroids is simply a frontend to that module.

The boundary itself is often stored without any category reference as it can mark the border between two adjacent areas. Thus it would be ambiguous as to which feature the attribute would belong. In some cases it may, for example, represent a road between two parcels of land. In this case it is entirely appropriate for the boundary to contain category information.

EXAMPLES
Create an area from a closed line using North Carolina sample dataset:

v.type input=busroute11 output=busroute11_boundary from_type=line to_type=boundary
v.centroids input=busroute11_boundary output=busroute11_area

Figure: Creating area from closed line

SEE ALSO
v.category

AUTHORS
module: M. Hamish Bowman, Dept. Marine Science, Otago University, New Zealand
help page: Trevor Wiens

SOURCE CODE

Available at: v.centroids source code (history)

Accessed: Wednesday Nov 13 18:38:23 2024

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 7.8.8 Reference Manual